Bug 35699 - translog overlay not loaded on UCS 4.0-0 alpha master
translog overlay not loaded on UCS 4.0-0 alpha master
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Felix Botner
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-25 19:27 CEST by Arvid Requate
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-08-25 19:27:22 CEST
ldap/translogfile is not set in my current ucs 4.0-0 alpha master installation, so the translog overlay module is not loaded and not actions are recorded and communicated to notifier&listener.

Looks like server/role is not set to domaincontroller_master yet when univention-ldap-server.postinst is run.
Comment 1 Arvid Requate univentionstaff 2014-08-25 19:37:15 CEST
root@master:~# grep -E 'univention-server-master|univention-ldap-server' /var/log/dpkg.log  | grep configure2014-08-25 11:53:54 configure univention-ldap-server:all 11.0.2-1.704.201408220831 <keine>
2014-08-25 11:53:54 status half-configured univention-ldap-server:all 11.0.2-1.704.201408220831
2014-08-25 11:54:25 configure univention-server-master:all 10.0.1-1.208.201408211338 <keine>
2014-08-25 11:54:25 status half-configured univention-server-master:all 10.0.1-1.208.201408211338

univention-ldap-server.postinst get's configured before univention-server-master. Maybe univention-server-master could simply set the UCR variable?
Comment 2 Stefan Gohmann univentionstaff 2014-08-25 21:52:25 CEST
The UCS 3 installer set the variable before installing a package, see scripts/28_postconfigure_config_registry.sh

I think we can set the variable in setup-join.sh.
Comment 3 Stefan Gohmann univentionstaff 2014-08-26 18:40:06 CEST
fixed: r53015 + r53047

changelog: r53052
Comment 4 Felix Botner univentionstaff 2014-08-27 11:34:57 CEST
OK - server/role is set in system setup before the packages are installed
OK - Changelog
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:53:49 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".